org.apache.poi.xssf.usermodel

## Class XSSFChartSheet

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xssf.usermodel.XSSFSheet
    - - org.apache.poi.xssf.usermodel.XSSFChartSheet

- All Implemented Interfaces:
    java.lang.Iterable<Row>, Sheet

      public class XSSFChartSheet
      extends XSSFSheet

  High level representation of Sheet Parts that are of type 'chartsheet'.

  Chart sheet is a special kind of Sheet that contains only chart and no data.

  Author:
    Yegor Kozlov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet` | `chartsheet`

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.XSSFSheet

      `sheet, TWIPS_PER_POINT, worksheet`

    - ### Fields inherited from interface org.apache.poi.ss.usermodel.Sheet

      `BottomMargin, FooterMargin, HeaderMargin, LeftMargin, PANE_LOWER_LEFT, PANE_LOWER_RIGHT, PANE_UPPER_LEFT, PANE_UPPER_RIGHT, RightMargin, TopMargin`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFChartSheet(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet` | `getCTChartsheet()` Provide access to the CTChartsheet bean holding this sheet's data
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDrawing` | `getCTDrawing()`
    `protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTLegacyDrawing` | `getCTLegacyDrawing()`
    `protected void` | `read(java.io.InputStream is)`
    `protected void` | `write(java.io.OutputStream out)`

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFSheet

      `addHyperlink, addIgnoredErrors, addIgnoredErrors, addMergedRegion, addMergedRegionUnsafe, addValidationData, autoSizeColumn, autoSizeColumn, commit, copyRows, copyRows, createDrawingPatriarch, createFreezePane, createFreezePane, createPivotTable, createPivotTable, createPivotTable, createPivotTable, createPivotTable, createRow, createSplitPane, createTable, createTable, disableLocking, enableLocking, findEndOfRowOutlineGroup, getActiveCell, getAutobreaks, getCellComment, getCellComments, getColumnBreaks, getColumnHelper, getColumnOutlineLevel, getColumnStyle, getColumnWidth, getColumnWidthInPixels, getCommentsTable, getCTWorksheet, getDataValidationHelper, getDataValidations, getDefaultColumnWidth, getDefaultRowHeight, getDefaultRowHeightInPoints, getDisplayGuts, getDrawingPatriarch, getEvenFooter, getEvenHeader, getFirstFooter, getFirstHeader, getFirstRowNum, getFitToPage, getFooter, getForceFormulaRecalculation, getHeader, getHeaderFooterProperties, getHorizontallyCenter, getHyperlink, getHyperlink, getHyperlinkList, getIgnoredErrors, getLastRowNum, getLeftCol, getMargin, getMergedRegion, getMergedRegions, getNumberOfComments, getNumHyperlinks, getNumMergedRegions, getOddFooter, getOddHeader, getPaneInformation, getPhysicalNumberOfRows, getPivotTables, getPrintSetup, getProtect, getRepeatingColumns, getRepeatingRows, getRow, getRowBreaks, getRowSumsBelow, getRowSumsRight, getScenarioProtect, getSharedFormula, getSheetConditionalFormatting, getSheetName, getSheetTypeSheetViews, getTabColor, getTables, getTopRow, getVerticallyCenter, getVMLDrawing, getWorkbook, groupColumn, groupRow, hasComments, isAutoFilterLocked, isColumnBroken, isColumnHidden, isDeleteColumnsLocked, isDeleteRowsLocked, isDisplayFormulas, isDisplayGridlines, isDisplayRowColHeadings, isDisplayZeros, isFormatCellsLocked, isFormatColumnsLocked, isFormatRowsLocked, isInsertColumnsLocked, isInsertHyperlinksLocked, isInsertRowsLocked, isObjectsLocked, isPivotTablesLocked, isPrintGridlines, isPrintRowAndColumnHeadings, isRightToLeft, isRowBroken, isScenariosLocked, isSelected, isSelectLockedCellsLocked, isSelectUnlockedCellsLocked, isSheetLocked, isSortLocked, iterator, lockAutoFilter, lockDeleteColumns, lockDeleteRows, lockFormatCells, lockFormatColumns, lockFormatRows, lockInsertColumns, lockInsertHyperlinks, lockInsertRows, lockObjects, lockPivotTables, lockScenarios, lockSelectLockedCells, lockSelectUnlockedCells, lockSort, onDeleteFormula, onDocumentCreate, onDocumentRead, onSheetDelete, protectSheet, readOleObject, removeArrayFormula, removeColumnBreak, removeHyperlink, removeMergedRegion, removeMergedRegions, removeRow, removeRowBreak, removeTable, rowIterator, setActiveCell, setArrayFormula, setAutobreaks, setAutoFilter, setColumnBreak, setColumnGroupCollapsed, setColumnHidden, setColumnWidth, setDefaultColumnStyle, setDefaultColumnWidth, setDefaultRowHeight, setDefaultRowHeightInPoints, setDisplayFormulas, setDisplayGridlines, setDisplayGuts, setDisplayRowColHeadings, setDisplayZeros, setFitToPage, setForceFormulaRecalculation, setHorizontallyCenter, setMargin, setPrintGridlines, setPrintRowAndColumnHeadings, setRepeatingColumns, setRepeatingRows, setRightToLeft, setRowBreak, setRowGroupCollapsed, setRowSumsBelow, setRowSumsRight, setSelected, setSheetPassword, setTabColor, setVerticallyCenter, setZoom, shiftColumns, shiftRows, shiftRows, showInPane, ungroupColumn, ungroupRow, validateMergedRegions, validateSheetPassword`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### chartsheet

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet chartsheet

  - ### Constructor Detail

    - #### XSSFChartSheet

          protected XSSFChartSheet(PackagePart part)

      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### read

          protected void read(java.io.InputStream is)
                       throws java.io.IOException

      Overrides:
        `read` in class `XSSFSheet`
      Throws:
        `java.io.IOException`

    - #### getCTChartsheet

          public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTChartsheet getCTChartsheet()

      Provide access to the CTChartsheet bean holding this sheet's data
      Returns:
        the CTChartsheet bean holding this sheet's data

    - #### getCTDrawing

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDrawing getCTDrawing()

      Overrides:
        `getCTDrawing` in class `XSSFSheet`

    - #### getCTLegacyDrawing

          protected org.openxmlformats.schemas.spreadsheetml.x2006.main.CTLegacyDrawing getCTLegacyDrawing()

      Overrides:
        `getCTLegacyDrawing` in class `XSSFSheet`

    - #### write

          protected void write(java.io.OutputStream out)
                        throws java.io.IOException

      Overrides:
        `write` in class `XSSFSheet`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.